Method: projects.locations.autonomousDatabases.list

Lists the Autonomous Databases in a given project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/autonomousDatabases

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent value for the Autonomous Database in the following format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return. If unspecified, at most 50 Autonomous Database will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request.

orderBy

string

Optional. An expression for ordering the results of the request.

Request body

The request body must be empty.

Response body

The response for AutonomousDatabase.List.

If successful, the response body contains data with the following structure:

JSON representation
{
  "autonomousDatabases": [
    {
      object (AutonomousDatabase)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
autonomousDatabases[]

object (AutonomousDatabase)

The list of Autonomous Databases.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unreachable locations when listing resources across all locations using wildcard location '-'.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.autonomousDatabases.list

For more information, see the IAM documentation.